Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509561 - __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
Summary: __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-04 17:26 UTC by Mikhail
Modified: 2018-11-30 18:10 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:10:23 UTC


Attachments (Terms of Use)

Description Mikhail 2017-11-04 17:26:39 UTC
Description of problem:

Core was generated by `/usr/libexec/gnome-terminal-server'.
Program terminated with signal SIGABRT, Aborted.
#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
51	}
[Current thread is 1 (Thread 0x7fa89b2a2f00 (LWP 11396))]
Missing separate debuginfos, use: dnf debuginfo-install dbus-libs-1.12.0-1.fc27.x86_64 gtk3-3.22.24-2.fc27.x86_64 mesa-libwayland-egl-17.2.4-1.fc27.x86_64 systemd-libs-234-9.fc27.x86_64
(gdb)  thread apply all bt

Thread 4 (Thread 0x7fa887aad700 (LWP 11398)):
#0  0x00007fa89752d8bb in __GI___poll (fds=0x7fa880006cd0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fa89844ced9 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fa880006cd0, timeout=<optimized out>, context=0x7fa8800059a0) at gmain.c:4187
#2  0x00007fa89844ced9 in g_main_context_iterate (context=context@entry=0x7fa8800059a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3881
#3  0x00007fa89844cfec in g_main_context_iteration (context=0x7fa8800059a0, may_block=may_block@entry=1) at gmain.c:3947
#4  0x00007fa89844d031 in glib_worker_main (data=<optimized out>) at gmain.c:5742
#5  0x00007fa8984744c6 in g_thread_proxy (data=0x561849ab0280) at gthread.c:784
#6  0x00007fa89780c609 in start_thread (arg=0x7fa887aad700) at pthread_create.c:465
#7  0x00007fa897539e6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fa8882ae700 (LWP 11397)):
#0  0x00007fa89752d8bb in __GI___poll (fds=0x561849a86ee0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fa89844ced9 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x561849a86ee0, timeout=<optimized out>, context=0x561849ab6e60) at gmain.c:4187
#2  0x00007fa89844ced9 in g_main_context_iterate (context=context@entry=0x561849ab6e60, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3881
#3  0x00007fa89844cfec in g_main_context_iteration (context=context@entry=0x561849ab6e60, may_block=may_block@entry=1) at gmain.c:3947
#4  0x00007fa8882b642d in dconf_gdbus_worker_thread (user_data=0x561849ab6e60) at dconf-gdbus-thread.c:82
#5  0x00007fa8984744c6 in g_thread_proxy (data=0x561849aad8f0) at gthread.c:784
#6  0x00007fa89780c609 in start_thread (arg=0x7fa8882ae700) at pthread_create.c:465
#7  0x00007fa897539e6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fa8872ac700 (LWP 11399)):
#0  0x00007fa89752d8bb in __GI___poll (fds=0x7fa88001cc90, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fa89844ced9 in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x7fa88001cc90, timeout=<optimized out>, context=0x7fa88001afd0) at gmain.c:4187
#2  0x00007fa89844ced9 in g_main_context_iterate (context=0x7fa88001afd0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3881
#3  0x00007fa89844d272 in g_main_loop_run (loop=0x7fa88001b110) at gmain.c:4082
#4  0x00007fa898a35b36 in gdbus_shared_thread_func (user_data=0x7fa88001afa0) at gdbusprivate.c:275
#5  0x00007fa8984744c6 in g_thread_proxy (data=0x561849ab0320) at gthread.c:784
#6  0x00007fa89780c609 in start_thread (arg=0x7fa8872ac700) at pthread_create.c:465
#7  0x00007fa897539e6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fa89b2a2f00 (LWP 11396)):
#0  0x00007fa89745769b in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#1  0x00007fa8974593b1 in __GI_abort () at abort.c:79
#2  0x00007fa893799cff in wl_abort (fmt=fmt@entry=0x7fa893799ece "Error sending request: %s\n") at src/wayland-util.c:419
#3  0x00007fa893795d7d in wl_proxy_marshal_array_constructor_versioned (proxy=proxy@entry=0x56184a027f00, opcode=opcode@entry=2, args=args@entry=0x7ffce5855ab0, interface=interface@entry=0x0, version=3)
    at src/wayland-client.c:659
#4  0x00007fa893795dd9 in wl_proxy_marshal_array_constructor (proxy=proxy@entry=0x56184a027f00, opcode=opcode@entry=2, args=args@entry=0x7ffce5855ab0, interface=interface@entry=0x0) at src/wayland-client.c:599
#5  0x00007fa893795ecc in wl_proxy_marshal (proxy=0x56184a027f00, opcode=2) at src/wayland-client.c:696
#6  0x00007fa899d78e1f in gdk_window_impl_wayland_end_paint () at /lib64/libgdk-3.so.0
#7  0x00007fa899d2d59b in gdk_window_end_paint_internal () at /lib64/libgdk-3.so.0
#8  0x00007fa899d2d968 in gdk_window_end_draw_frame () at /lib64/libgdk-3.so.0
#9  0x00007fa89a364e43 in gtk_widget_render () at /lib64/libgtk-3.so.0
#10 0x00007fa89a2057c9 in gtk_main_do_event () at /lib64/libgtk-3.so.0
#11 0x00007fa899d13ff5 in _gdk_event_emit () at /lib64/libgdk-3.so.0
#12 0x00007fa899d24335 in _gdk_window_process_updates_recurse_helper () at /lib64/libgdk-3.so.0
#13 0x00007fa899d25536 in gdk_window_process_updates_internal () at /lib64/libgdk-3.so.0
#14 0x00007fa899d25730 in gdk_window_process_updates_with_mode () at /lib64/libgdk-3.so.0
#15 0x00007fa89ae8f935 in VteTerminalPrivate::invalidate_dirty_rects_and_process_updates() (this=0x561849e5a140) at vte.cc:10889
#16 0x00007fa89ae8f9bc in update_timeout(gpointer) (data=data@entry=0x0) at vte.cc:11008
#17 0x00007fa89844d61d in g_timeout_dispatch (source=0x56184a565220, callback=0x7fa89ae8f970 <update_timeout(gpointer)>, user_data=0x0) at gmain.c:4633
---Type <return> to continue, or q <return> to quit---
#18 0x00007fa89844cbb7 in g_main_dispatch (context=0x561849ab2230) at gmain.c:3148
#19 0x00007fa89844cbb7 in g_main_context_dispatch (context=context@entry=0x561849ab2230) at gmain.c:3813
#20 0x00007fa89844cf60 in g_main_context_iterate (context=context@entry=0x561849ab2230, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3886
#21 0x00007fa89844cfec in g_main_context_iteration (context=context@entry=0x561849ab2230, may_block=may_block@entry=1) at gmain.c:3947
#22 0x00007fa898a09c8d in g_application_run (application=0x7fa880016610 [TerminalApp], argc=<optimized out>, argv=<optimized out>) at gapplication.c:2401
#23 0x00005618493a91fd in main (argc=<optimized out>, argv=<optimized out>) at server.c:180
(gdb) 
(gdb)

Comment 1 Christian Persch (GNOME) 2017-11-05 09:04:25 UTC
Upstream at https://bugzilla.gnome.org/show_bug.cgi?id=789918

Comment 2 Ben Cotton 2018-11-27 18:17:01 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 18:10:23 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.